Subject: [rohc] Re: new draft: draft-hwang-rohc-mipv6-00.txt

From: "Wang Hui" <[email-masked]>
Date: Mon, 9 Dec 2002 10:10:56 +0800

Hi, Bormann,

See my comments inline.  

> Hi Wang,
> 
> this is quite useful input.
> When we finished RFC3095, we decided to postpone MIPv6 support until 
> MIPv6 stabilizes.
> Now would indeed be a good time to add that support.
> 
> Questions:
> 
> 1) Why are you adding MIPv6 support just to profile 0x0001?  You at 
> least need UDP support for RTCP in any voice application; of course, 
> ESP is not a big thing to add either.
I think I may not express my idea in the draft clearly.   My suggestion is to 
add the MIPv6 extension headers to currently profile and make them a combination,
and then form a new profile.   So a 'RTP/UDP/MIPv6/IP' is an example. 

> 
> 2) Can the fields you declare as static ever change?  If yes, it might 
> be more useful to use the list-based compression scheme.  It is also 
> not quite clear to me whether you can recover the exact header sequence 
> in the presence of other extension headers covered by list-based 
> compression.
I will see to this problem. 

> 
> 3) I cannot imagine anything that could be subject to IPR in this 
> draft.  Can you explain clause 9?
We had a group now designing a mobile IPv6 access router.  Some technology of this 
router will be subject to IPR.   So I added clause 9 to this draft, only for a general purpose.
When we discuss the problems within my draft,  we needn't care this IPR statement. 

Best,
Wang 
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc